CalryOTA Docs
Integration Account

Set channel setting for an integration account

Creates or replaces the channel setting for the specified integration account and channel.

POST
/api/v1/integration-account/{integrationAccountID}/channels

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

integrationAccountID*string

Integration account ID

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. Controls access to integration accounts. If not provided, the default tenant will be used.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/integration-account/string/channels" \  -H "Content-Type: application/json" \  -d '{    "channelID": "string"  }'
Empty
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}